* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  background: #111;
  overflow-x: hidden;
}

.hero-scroll {
  height: 200vh;
  position: relative;
}

.hero {
  position: sticky;
  top: 0;
  width: 100%;
  height: 100vh;
  color: white;
  overflow: hidden;
}

.slide {
  position: absolute;
  inset: 0;
  background-size: cover;
  background-position: center;
  opacity: 0;
  transform: scale(1.06);
  transition: opacity 0.8s ease, transform 1.2s ease;
}

.slide::after {
  content: "";
  position: absolute;
  inset: 0;
  background:
    linear-gradient(to right, rgba(0,0,0,.75), rgba(0,0,0,.25), rgba(0,0,0,.45)),
    linear-gradient(to top, rgba(0,0,0,.65), transparent);
}

.slide.active {
  opacity: 1;
  transform: scale(1);
  z-index: 2;
}

.content {
  position: absolute;
  left: 6%;
  bottom: 15%;
  z-index: 5;
  max-width: 800px;
}

.content span {
  color: #f49e1a;
  font-style: italic;
  font-size: 18px;
}

.content h1 {
  font-size: clamp(48px, 6vw, 86px);
  line-height: .95;
  margin: 18px 0 28px;
  font-weight: 400;
}

.content p {
  font-size: 18px;
  line-height: 1.7;
  max-width: 430px;
}

.numbers {
  position: absolute;
  right: 6%;
  top: 48%;
  z-index: 10;
  transform: translateY(-50%);
  text-align: right;
}

.main-number {
  font-size: 76px;
  font-weight: 300;
  margin-bottom: 35px;
}

.number-list {
  display: flex;
  flex-direction: column;
  gap: 22px;
  font-size: 18px;
}

.number-list span {
  opacity: .45;
  cursor: pointer;
  transition: .3s;
}

.number-list span.active {
  opacity: 1;
font-size: 76px;
  font-weight: 300;
  transform: scale(1.15);
}

.buttons {
  position: absolute;
  left: 6%;
  bottom: 45px;
  z-index: 10;
  display: flex;
  gap: 16px;
}

.buttons a {
  background: transparent;
  color: white;
  border: 1px solid rgba(255,255,255,.7);
  border-radius: 30px;
  padding: 13px 28px;
  font-size: 15px;
  letter-spacing: .5px;
  cursor: pointer;
  color:white;
  text-decoration:none;
}


.buttons b {
  display: inline-block;
  width: 10px;
  height: 10px;
  background: white;
  border-radius: 50%;
  margin-left: 12px;
}

.feature-grid {
  position: relative;
  width: 100%;
  padding: 140px 6%;
  background: #111;
  color: white;
}

.grid-top {
  margin-bottom: 70px;
}

.grid-top span {
  color: #f49e1a;
  font-style: italic;
  font-size: 18px;
}

.grid-top h2 {
  font-size: clamp(42px, 5vw, 74px);
  font-weight: 400;
  line-height: 1;
  margin-top: 18px;
}

.grid-wrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 28px;
}

.grid-card {
  position: relative;
  height: 650px;
  overflow: hidden;
  color:white;
}

.grid-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 1.2s ease;
}

.grid-card:hover img {
  transform: scale(1.08);
}

.overlay {
  position: absolute;
  inset: 0;
  background:
    linear-gradient(to top, rgba(0,0,0,.85), rgba(0,0,0,.15));
}

.grid-content {
  position: absolute;
  left: 35px;
  bottom: 35px;
  z-index: 5;
}

.grid-content span {
  display: inline-block;
  margin-bottom: 20px;
  color: rgba(255,255,255,.7);
  font-size: 15px;
  letter-spacing: 2px;
}

.grid-content h3 {
  font-size: 42px;
  line-height: 48px;
  font-weight: 400;
  margin-bottom: 18px;
}

.grid-content li{
  padding-top:10px;
  list-style-type: none;
}

.grid-content a {
  text-decoration:none;
  color:white;
  transition:all 0.5s ease;
}

.grid-content a:hover {
  color:#f49e1a;
}

.grid-content p {
  max-width: 400px;
  line-height: 1.7;
  color: rgba(255,255,255,.8);
}

.site-footer {
  background: rgb(17, 17, 17);
  color: white;
  padding: 35px 6%;
}

.footer-top {
  display: grid;
  grid-template-columns: 1.3fr .7fr;
  gap: 80px;
  padding-bottom: 90px;
  border-bottom: 1px solid rgba(255,255,255,.1);
}

.footer-brand span {
  color: #c7a477;
  font-style: italic;
  font-size: 18px;
}

.footer-brand h2 {
  font-size: clamp(44px, 6vw, 88px);
  line-height: .95;
  font-weight: 400;
  margin-top: 22px;
}

.footer-cta {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  gap: 35px;
}

.footer-cta p {
  font-size: 18px;
  line-height: 1.8;
  color: rgba(255,255,255,.75);
  max-width: 430px;
}

.footer-btn {
  width: fit-content;
  color: white;
  text-decoration: none;
  border: 1px solid rgba(255,255,255,.7);
  border-radius: 35px;
  padding: 15px 30px;
  font-size: 14px;
  letter-spacing: .8px;
  transition: .3s ease;
}

.footer-btn b {
  display: inline-block;
  width: 10px;
  height: 10px;
  background: white;
  border-radius: 50%;
  margin-left: 14px;
}

.footer-btn:hover {
  background: white;
  color: #111;
}

.footer-btn:hover b {
  background: #111;
}

.footer-middle {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 60px;
  padding: 70px 0;
  border-bottom:1px solid rgba(255,255,255,.1);
  border-top: 1px solid rgba(255,255,255,.1);
}

.footer-col {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.footer-col h4 {
  color: #c7a477;
  font-size: 15px;
  font-weight: 400;
  margin-bottom: 14px;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.footer-col a,
.footer-col span {
  color: rgba(255,255,255,.7);
  display:inline-block;
  text-decoration: none;
  font-size: 16px;
  transition: .3s ease;
}

.footer-col a:hover {
  color: white;
  transform: translateX(6px);
}

.footer-bottom {
  display: flex;
  justify-content: space-between;
  gap: 30px;
  padding-top: 35px;
  color: rgba(255,255,255,.55);
  font-size: 14px;
}

.footer-social {
  display: flex;
  gap: 28px;
}

.footer-social a {
  color: rgba(255,255,255,.55);
  text-decoration: none;
  transition: .3s ease;
}

.footer-social a:hover {
  color: #c7a477;
}

@media (max-width: 900px) {

  .footer-top,
  .footer-middle {
    grid-template-columns: 1fr;
  }

  .footer-bottom {
    flex-direction: column;
  }

  .footer-social {
    flex-wrap: wrap;
  }

}

@media (max-width: 1100px) {

  .grid-wrapper {
    grid-template-columns: 1fr;
  }

  .grid-card {
    height: 520px;
  }

}

@media (max-width: 768px) {
  .content {
    left: 28px;
    bottom: 18%;
  }

  .numbers {
    right: 28px;
  }

  .main-number {
    font-size: 54px;
  }

  .buttons {
    left: 28px;
    bottom: 25px;
  }
}